<?php
/***************************************************************************************************
*																			  						*
* SMF: Simple Machines Forum - SEO Rich Snippets                              						*
*                                                                             						*
* =========================================================================== 						*
* Software Version:    1.0                            	                      						*
* Software by:         workiverse.com                                         						*
* Support:             http://www.workiverse.com/forum/add-rich-snippets-to-your-forum-t19.0.html   *
****************************************************************************************************
* This mod is released under the Attribution-NonCommercial-ShareAlike 3.0 Unported (CC BY-NC-SA 3.0)[/url] license
* Read more here: http://creativecommons.org/licenses/by-nc-sa/3.0/
*/

if (!defined('SMF'))
  die('<b>Error:</b> Cannot install - please verify you put this in the same place as SMF\'s index.php.');
db_extend('packages');
global $smcFunc;

$smcFunc['db_add_column']('{db_prefix}topics', array('name' => 'author_enabled', 'size' => '1', 'type' => 'tinyint', 'null' => false, 'default' => 0));
$smcFunc['db_add_column']('{db_prefix}members', array('name' => 'google_plus', 'size' => '50', 'type' => 'text', 'null' => false));

//Add defaults
$smcFunc['db_insert']('ignore', '{db_prefix}settings', array('variable' => 'string', 'value' => 'int'), array('seo_rich_snippet_enabled', 0), array('variable'));
$smcFunc['db_insert']('ignore', '{db_prefix}settings', array('variable' => 'string', 'value' => 'int'), array('seo_author_snippet_default_on', 0), array('variable'));
$smcFunc['db_insert']('ignore', '{db_prefix}settings', array('variable' => 'string', 'value' => 'int'), array('seo_force_author_snippet_on', 0), array('variable'));
$smcFunc['db_insert']('ignore', '{db_prefix}settings', array('variable' => 'string', 'value' => 'string'), array('seo_rich_snippet_groups', serialize(array())), array('variable'));
?>